JBEXERCISE(8)

NAME
jbexercise - NetWorker jukebox exerciser

SYNOPSIS
jbexercise -m model -c control_port [ -V vendor_type ] [ -CdsIv ] [ -D drive ] [ -S slot ]

DESCRIPTION
The jbexercise command tests the functionality of a jukebox. Before the command can be run, all contents of the jukebox must be emptied except for media loaded in the first and last slots. These pieces of media will be moved around the jukebox as part of the various tests performed by jbexercise.

There are two major tests of functionality: drives and slots. Normally both the drive and slot tests are run. Individual component types can be tested by using the -d (for drives) and -s (for slots) options. In addition, specific components can be singled out in the -D and -S options. When these are options are given, the only test run is on that particular component, i.e. if a specific slot is named the drives test is not run. For drives, the logical address of the component should be given. For slots, the physical address should be given.

Upon startup, the program queries the user for the non-rewinding pathnames of the drives, if any, found in the configuration of the jukebox. This query is not performed if the user is using a jukebox which does not require media to be ejected from a device, i.e. the device has automatic ejection capabilities.

The first test moves the media from the first slot to each of the drives. No operator intervention is required.

The second test loads the media from various slots to the first drive. The default is to test the media in the first and last slots in the jukebox. If a specific slot is being tested, the operator must first load that slot with media.

OPTIONS

-C  This makes jbexercise return the configuration of the jukebox. No tests are run.

-c  Specify the control port which is used to interface with the jukebox (e.g. 1.5.0 from scsidev@1.5.0 which could be found by issueing the 'inquire' command).

-d  Only drives are tested.

-D  Only the specified drive is tested.

-I  Return only an inventory of the jukebox. No tests are run.

-m  Specify a jukebox model. (For a list of currently supported jukebox models run this command without any arguments to print the usage string.)

-s  Only slots are tested.

-S  Only the specified slot is tested.

-v  Verbose mode. Print out more information.

-V  Specify a particular vendor id. This allows vendor to use the same driver for a number of jukebox models.

SEE ALSO
nsrjb(8), nsr_jukebox(5).

DIAGNOSTICS
Most diagnostic messages are specific to each type of jukebox. General messages include the following:

invalid <component> specified
    An invalid id for the <component> was given. The id must be within the valid ranges of the jukebox configuration. <component> can be a drive, port or slot.

status incorrect, media present
    There is media loaded in a component but the component status operation doesn't indicate this.

status incorrect, invalid slot location
    The component status operation is giving the incorrect source slot of the loaded media.

no drives found!!!
    No drives were listed in the configuration.

no slots found!!!
    No slots were listed in the configuration.